| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::AlbumLabelsSearchHandler Class Reference
Inheritance diagram for Digikam::AlbumLabelsSearchHandler:

## Signals
void | checkStateChanged (Album *album, Qt::CheckState checkState)

## Public Member Functions
| AlbumLabelsSearchHandler (LabelsTreeView *const treeWidget)
Album * | albumForSelectedItems () const
QString | generatedName () const
QList< QUrl > | imagesUrls () const
| Gets the list of images generated, for exporting.
bool | isRestoringSelectionFromHistory () const
void | restoreSelectionFromHistory (const QHash< LabelsTreeView::Labels, QList< int > > &neededLabels)
| Restores the selection of the tree-view from history.

## Member Function Documentation

## ◆ albumForSelectedItems()

Album * Digikam::AlbumLabelsSearchHandler::albumForSelectedItems | ( |  | ) | const

Returns
  Album pointer of the currently selected labels

## ◆ generatedName()

QString Digikam::AlbumLabelsSearchHandler::generatedName | ( |  | ) | const

Returns
  A string for a name generated by

See also
  generateAlbumNameForExporting()

## ◆ imagesUrls()

QList< QUrl > Digikam::AlbumLabelsSearchHandler::imagesUrls | ( |  | ) | const

Returns
  QUrl List of images Urls

## ◆ isRestoringSelectionFromHistory()

bool Digikam::AlbumLabelsSearchHandler::isRestoringSelectionFromHistory | ( |  | ) | const

Returns
  true if the tree-view is restoring the selection state from history to block searching until the restoring is done

## ◆ restoreSelectionFromHistory()

void Digikam::AlbumLabelsSearchHandler::restoreSelectionFromHistory | ( | const QHash< LabelsTreeView::Labels, QList< int > > & | neededLabels | ) |

Parameters

  neededLabels | a hash to restore selection from it